DEBCONF.PT.1(1)

NOME
debconf - executa um programa usando debconf

SINOPSE
 debconf [opções] comando [argumentos]

DESCRIÇÃO
Debconf é um sistema de configuração para pacotes Debian. Para uma visão geral do debconf e documentação para administradores de sistemas, veja debconf(7) (no pacote debconf-doc).

O programa debconf executa um programa sob o controle do debconf, configurando-o para falar com o debconf em stdio. Espera-se que os resultados de saída do programa estejam em protocolo debconf, e espera-se ler códigos dos resultados no stdin. Veja debconf-devel(7) para detalhes acerca do protocolo debconf.

O comando a executar sob debconf tem de ser especificado de modo que permita que a sua PATH o encontre.

Este comando não é o modo habitual de utilização do debconf. Tipicamente, é mais comum usar o debconf via dpkg-preconfigure(8) ou dpkg-reconfigure(8).

OPÇÕES

-opackage, --owner=package
    Diz ao debconf a qual pacote pertence o comando que está a executar. Isto é necessário para obter direitos de dono das questões registadas, e para suportar propriamente comandos não registados e purgados.

-ftype, --frontend=type
    Selecciona o frontend a usar.

-pvalue, --priority=value
    Especifica a prioridade mínima da questão que vai ser mostrada.

--terse
    Activa o modo de saída terse. Isto afecta apenas alguns frontends.

EXEMPLOS
Para depurar um script shell que usa debconf, você pode usar:

 DEBCONF_DEBUG=developer debconf meu-prog-shell

Ou, você pode usar isto:

 debconf --frontend=readline sh -x meu-prog-shell

VEJA TAMBÉM
debconf-devel(7), debconf(7)

AUTOR
Joey Hess <joeyh@debian.org>

TRADUÇÃO
Américo Monteiro <a_monteiro@netcabo.pt>, 2010, 2012

Por favor comunique quaisquer erros de tradução para a_monteiro@netcabo.pt, l10n@debianpt.org, ou submeta um relatório de bug contra o pacote debconf.